StateStoreCacheUpdateService (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store, class: StateStoreCacheUpdateService

Package org.apache.hadoop.hdfs.server.federation.store

# Class StateStoreCacheUpdateService

java.lang.Object
org.apache.hadoop.service.AbstractService
org.apache.hadoop.hdfs.server.federation.router.PeriodicService
org.apache.hadoop.hdfs.server.federation.store.StateStoreCacheUpdateService

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.service.Service`

public class StateStoreCacheUpdateService extends PeriodicService
Service to periodically update the `StateStoreService` cached information in the `Router`. This is for performance and removes the State Store from the critical path in common operations.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

  `org.apache.hadoop.service.Service.STATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StateStoreCacheUpdateService(StateStoreService stateStore)`
  Create a new Cache update service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `periodicInvoke()`
  Method that the service will run periodically.
  `protected void`
  `serviceInit(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.router.PeriodicService

  `getErrorCount, getIntervalMs, getLastUpdate, getRunCount, serviceStart, serviceStop, setIntervalMs, startPeriodic, stopPeriodic`

  ### Methods inherited from class org.apache.hadoop.service.AbstractService

  `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StateStoreCacheUpdateService

    public StateStoreCacheUpdateService(StateStoreService stateStore)
    Create a new Cache update service.
    Parameters:
      `stateStore` - Implementation of the state store

- ## Method Details

  - ### serviceInit

    protected void serviceInit(org.apache.hadoop.conf.Configuration conf) throws Exception
    Overrides:
      `serviceInit` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### periodicInvoke

    public void periodicInvoke()
    Description copied from class: `PeriodicService`
    Method that the service will run periodically.
    Specified by:
      `periodicInvoke` in class `PeriodicService`